Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.primitive
Class AVA

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.primitive.AVA

All Implemented Interfaces:
  ASN1Value

Direct Known Subclasses:
  Control

public class AVA
extends java.lang.Object
implements ASN1Value

An AttributeValueAssertion, which has the following ASN.1 definition (roughly):

          AttributeValueAssertion ::= SEQUENCE {
              type        OBJECT IDENTIFIER,
              value       ANY DEFINED BY type }

Inner Class Summary
`static class` | `AVA.Template` A Template for decoding an AVA.

Field Summary
`private OBJECT_IDENTIFIER` | `oid`
`static Tag` | `TAG`
`private ANY` | `value`

Constructor Summary
`private` | `AVA()`
`` | `AVA(OBJECT_IDENTIFIER oid, ASN1Value value)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicit, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`OBJECT_IDENTIFIER` | `getOID()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`ANY` | `getValue()` Returns the value of this AVA, encoded as an ANY.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### oid

    private OBJECT_IDENTIFIER oid

### value

    private ANY value

### TAG

    public static final Tag TAG

Constructor Detail

### AVA

    private AVA()

### AVA

    public AVA(OBJECT_IDENTIFIER oid,
               ASN1Value value)

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### getOID

    public OBJECT_IDENTIFIER getOID()

### getValue

    public ANY getValue()

  Returns the value of this AVA, encoded as an ANY.

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicit,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD